Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression
Class IntrospectionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.p13n.expression.ExpressionException
                              |
                              +--com.bea.p13n.expression.IntrospectionException

public class IntrospectionException
extends ExpressionException

Exception class for Java reflection introspection errors.

See Also:
  Serialized Form

Constructor Summary
`IntrospectionException(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] args, java.lang.Class[] signature)` Creates an `IntrospectionException` for reporting an error during an instance method introspection.
`IntrospectionException(java.lang.String packageName, java.lang.String className, java.lang.String methodName, java.lang.Object[] args, java.lang.Class[] signature, java.lang.Throwable cause)` Creates an `IntrospectionException` for reporting an error during an static method introspection.

Methods inherited from class com.bea.p13n.exceptions.ApplicationException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntrospectionException

    public IntrospectionException(java.lang.Class clazz,
                                  java.lang.String methodName,
                                  java.lang.Object[] args,
                                  java.lang.Class[] signature)

  Creates an `IntrospectionException` for reporting an error during an instance method introspection.

  Parameters:
    `clazz` - The class.
    `methodName` - The method name that was attempted to call.
    `args` - An array of arguments to the method.
    `signature` - The method signature.

### IntrospectionException

    public IntrospectionException(java.lang.String packageName,
                                  java.lang.String className,
                                  java.lang.String methodName,
                                  java.lang.Object[] args,
                                  java.lang.Class[] signature,
                                  java.lang.Throwable cause)

  Creates an `IntrospectionException` for reporting an error during an static method introspection.

  Parameters:
    `packageName` - The package name where the class resides.
    `className` - The class name.
    `methodName` - The static method name that was attempted to call.
    `args` - An array of arguments to the method.
    `signature` - The method signature.
    `cause` - The nested exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved